SyncSource(3)

NAME
SyncSource - Synchronization source in an RTP session.

SYNOPSIS

#include <sources.h>

  Public Types

enum State { stateUnknown, statePrevalid, stateActive, stateInactive, stateLeaving }
Synchronization source states during an RTP session.

  Public Member Functions

SyncSource (uint32 ssrc)
~SyncSource ()
State getState () const
bool isSender () const
Whether this source sends RTP data packets.
uint32 getID () const
Participant * getParticipant () const
Get the participant this synchronization source is asociated to.
tpport_t getDataTransportPort () const
tpport_t getControlTransportPort () const
const InetAddress & getNetworkAddress () const

  Protected Member Functions

SyncSource (const SyncSource &source)
SyncSource & operator= (const SyncSource &source)

  Friends

class SyncSourceHandler

Detailed Description

Synchronization source in an RTP session.

Each synchronization source in an RTP session is identified by a 32-bit numeric SSRC identifier. Each SyncSource object is related to a Participant object, which can be retrieved through the getParticipant() method.

Author:
    Federico Montesino Pouzols fedemp@altern.org

Examples:
ccrtptest.cpp, and rtplisten.cpp.

Constructor & Destructor Documentation

  SyncSource::SyncSource (uint32 ssrc)

Parameters:
    ssrc SSRC identifier of the source, unique in each session.

  SyncSource::~SyncSource ()

  SyncSource::SyncSource (const SyncSource & source) [protected]

Parameters:
    source The RTPSource object being copied

Member Function Documentation

  tpport_t SyncSource::getControlTransportPort () const [inline]

Examples:
ccrtptest.cpp, and rtplisten.cpp.

  tpport_t SyncSource::getDataTransportPort () const [inline]

Examples:
ccrtptest.cpp, and rtplisten.cpp.

  uint32 SyncSource::getID () const [inline]

Examples:
ccrtptest.cpp, and rtplisten.cpp.

  const InetAddress& SyncSource::getNetworkAddress () const [inline]

Examples:
ccrtptest.cpp, and rtplisten.cpp.

  Participant* SyncSource::getParticipant () const [inline]

Get the participant this synchronization source is asociated to.

Return values:
    NULL if the stack has not been yet able to identify the participant this source is associated to.

Examples:
ccrtptest.cpp, and rtplisten.cpp.

  State SyncSource::getState () const [inline]

  bool SyncSource::isSender () const [inline]

Whether this source sends RTP data packets.

Examples:
ccrtptest.cpp.

  SyncSource& SyncSource::operator= (const SyncSource & source) [protected]

Friends And Related Function Documentation

  friend class SyncSourceHandler [friend]

Author

Generated automatically by Doxygen for ccRTP from the source code.